## spotify dl-8.0.0

=== requirements.txt ===
sentry_sdk==1.5.3
yt-dlp>=2022.01.21
spotipy==2.16.1
mutagen==1.45.1
rich==11.0.0

## spotify 0.4.8jolicloud0

=== debian/changelog ===
spotify (0.4.8jolicloud0) robby; urgency=low

  * Fix for new Spotify installer filename (spotify.exe => Spotify
    Installer.exe)

 -- Andrew Stormont <andy@jolicloud.org>  Mon, 25 Oct 2010 11:48:14 +0200

spotify (0.4.7jolicloud3) robby; urgency=low

  * Fix spotify folder permissions on configure

 -- Andrew Stormont <andy@jolicloud.org>  Sun, 24 Oct 2010 10:53:41 +0200

spotify (0.4.7jolicloud2) robby; urgency=low

  * Create package from the actual spotify installer
  * Fix permissions so spotify can finally update itself

 -- Andrew Stormont <andy@jolicloud.org>  Thu, 07 Oct 2010 15:14:34 +0200

spotify (0.4.7jolicloud1) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.4.7.151)

 -- Romain Huet <romain@jolicloud.org>  Wed, 22 Sep 2010 19:44:02 +0200

spotify (0.4.7jolicloud0) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.4.7.128)

 -- Romain Huet <romain@jolicloud.org>  Tue, 31 Aug 2010 10:59:50 +0200

spotify (0.4.3jolicloud2) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.4.3.426) 

 -- Romain Huet <romain@jolicloud.org>  Fri, 28 May 2010 13:31:27 +0200

spotify (0.4.3jolicloud1) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.4.3.383) 

 -- Romain Huet <romain@jolicloud.org>  Thu, 06 May 2010 10:17:50 +0200

spotify (0.4.3jolicloud0) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.4.3)

 -- Romain Huet <romain@jolicloud.org>  Tue, 27 Apr 2010 13:11:07 +0200

spotify (0.3.23jolicloud2) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.3.23
    revision 65324)

 -- Romain Huet <romain@jolicloud.org>  Tue, 09 Mar 2010 11:25:56 +0100

spotify (0.3.23jolicloud1) robby; urgency=low

  * Updated the executable to avoid having an installer

 -- Romain Huet <romain@jolicloud.org>  Thu, 11 Feb 2010 01:27:14 +0100

spotify (0.3.23jolicloud0) robby; urgency=low

  * Updated the executable to the latest version of Spotify (0.3.23)

 -- Romain Huet <romain@jolicloud.org>  Thu, 11 Feb 2010 00:54:50 +0100

spotify (0.3.22jolicloud1) robby; urgency=low

  * update to latest release of spotify win executable

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 09 Dec 2009 16:28:20 +0100

spotify (0.3.20jolicloud0) robby; urgency=low

  * update to latest executable from Spotify

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 17 Nov 2009 12:08:16 +0100

spotify (0.3.19jolicloud0) robby; urgency=low

  * Initial release of upstream spotify 0.3.19

 -- Tristan Groléat <tristan@jolicloud.org>  Tue, 30 Jun 2009 09:58:05 +0200

=== debian/control ===
Source: spotify
Section: net
Priority: optional
Maintainer: Jolicloud developers <developers@jolicloud.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://www.spotify.com

Package: spotify
Architecture: i386
Depends: wine, ${misc:Depends}
Description: Music platform
 Millions of tracks - instant, simple and free.
 Discover music and share with your friends.

## spotify 0.4.8jolicloud1

=== debian/changelog ===
spotify (0.4.8jolicloud1) robby-1.2; urgency=low

  * Renamed spotify.desktop to spotify-wine.desktop to not conflict with
    spotify-client-qt upstream package
  * Added wine-dev to build-depends to satisify pdebuild
  * Renamed spotify binary to spotify-wine (so it doesn't conflict with
    spotify-native-qt's spotify binary)

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 21 Nov 2011 15:06:41 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Jolicloud developers <developers@jolicloud.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7), wine-dev
 Standards-Version: 3.8.0
 Homepage: http://www.spotify.com

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Disable with debugging messages
export WINEDEBUG=-all

# Hack to avoid spotify starting after install
export DISPLAY=nothanks

# Name of spotify installer
SPOTIFY_INSTALLER = "Spotify Installer.exe"

# Directory where spotify binary will be installed
SPOTIFY_DIR = "debian/spotify/usr/share/wine/programs/spotify"

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	WINEPREFIX=$$PWD/debian/tmp wine $(SPOTIFY_INSTALLER) /S || \
		[ -e debian/tmp/drive_c/Program\ Files/Spotify/spotify.exe ]
	mkdir -p $(SPOTIFY_DIR)
	cp debian/tmp/drive_c/Program\ Files/Spotify/spotify.exe $(SPOTIFY_DIR)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_install
	dh_gconf
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## spotify dl-8.1.0

=== requirements.txt ===
sentry_sdk>=1.5,<2
yt-dlp>=2022.01.21
spotipy>=2.16,<3
mutagen>=1.45,<2
rich>=11.0,<12

## spotify dl-8.3.0

=== requirements.txt ===
sentry_sdk~=1.5.0
yt-dlp>=2022.01.21
spotipy~=2.19.0
mutagen~=1.45.0
rich~=12.0.0

## spotify dl-8.4.0

=== requirements.txt ===
sentry_sdk~=1.5
yt-dlp>=2022.01.21
spotipy~=2.19
mutagen~=1.45
rich~=12.0

## spotify dl-8.5.0

=== requirements.txt ===
sentry_sdk~=1.5
yt-dlp>=2022.01.21
spotipy~=2.21
mutagen~=1.45
rich~=12.0
urllib3~=1.26

## spotify dl-8.8.2

=== requirements.txt ===
sentry_sdk~=1.16
yt-dlp>=2023.3.4
spotipy~=2.21
mutagen~=1.45
rich~=12.0
urllib3~=1.26
